Metadata file

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
POST /company/{companyId}/metadata

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • companyId string Required
application/json

Body Required

  • fileId string(uuid)
  • companyId string
  • source string

    Values are SmartPM, XER, MPP, Excel, PMXML, PPX, or PP.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • dataDate string(date-time)
    • activityCount integer(int64)
    • mustFinishDate string(date-time)
POST /company/{companyId}/metadata
curl \
 --request POST 'https://live.smartpmtech.com/company/{companyId}/metadata' \
 --header "X-API-KEY: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "X-COMPANY-ID: string" \
 --data '{
  "fileId": "string",
  "companyId": "string",
  "source": "SmartPM"
}'
Request examples
# Headers
X-COMPANY-ID: string

# Payload
{
  "fileId": "string",
  "companyId": "string",
  "source": "SmartPM"
}
Response examples (200)
{
  "dataDate": "2026-05-04T09:42:00Z",
  "activityCount": 42,
  "mustFinishDate": "2026-05-04T09:42:00Z"
}